Skip to main content
DELETE
/
phone
/
sip
/
inbound-trunk
/
phone-numbers
/
{phone_number}
Remove a phone number from inbound trunk
curl --request DELETE \
  --url https://api.open.cx/phone/sip/inbound-trunk/phone-numbers/{phone_number}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sip_endpoint": "<string>",
  "auth_username": "<string>",
  "auth_password": "<string>",
  "phone_numbers": [
    "<string>"
  ],
  "krisp_enabled": true,
  "agent_id_header": "<string>"
}

Path Parameters

phone_number
string
required

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
sip_endpoint
string
required

SIP server address to point your PBX at

auth_username
string
required

SIP authentication username

auth_password
string
required

SIP authentication password

phone_numbers
string[]
required

Phone numbers (DIDs) this trunk answers on

krisp_enabled
boolean
required

Whether Krisp noise cancellation is active

agent_id_header
string
required

SIP header name to set for routing calls to a specific agent